import java.util.Scanner;
/**
 * Driver for a NumericalMethods class to assist in determining both crude
 * and optimal approximations to the square root of a non-negative real number. 
 * @author C. D'Arcy
 */

public class NewtonTest {

  public static void main(String args[]) {

    Scanner kbd = new Scanner(System.in);
		
    // Acquire user input...
    System.out.print("Enter the radicand: ");
    double radicand = kbd.nextDouble();

    System.out.print("Enter an approximation to the square root: ");
    double approximation = kbd.nextDouble();

    System.out.print("Enter the number of iterations: ");
    int iterations = kbd.nextInt();

    // Invoke Newton's Method for root finding and publish results...
    // First, using a predetermined number of iterations... 
    System.out.printf("\nAn approximation to the square root of %5.3f", radicand);
    System.out.printf("\nusing %4d iteration(s) of Newton's Method ", iterations);
    System.out.printf("is %12.8f.\n\n",
        NumericalMethods.sqrt(radicand, approximation, iterations));

    // Now, using as many iterations as necessary... 
    System.out.printf("The best approximation to the square root of %5.3f",
        radicand);
    System.out.printf("\nusing Newton's Method is %12.8f.\n\n",
        NumericalMethods.sqrt(radicand, approximation));

  }
}
